KDE 4.7 PyKDE API Reference

- KDE's Python API

# RenameDialogPlugin Class Reference

`from PyKDE4.kio import *`

Inherits: QWidget → QObject
Namespace: KIO

## Detailed Description

Base class for RenameDialog plugins.

Creating your own RenameDialog Plugin allows you to have a different representation of data depending on the to be copied files.

## Methods
| __init__ (self, QDialog dialog)
| handle (self, KIO.RenameDialog_Mode mode, KIO.RenameDialogPlugin.FileItem srcFile, KIO.RenameDialogPlugin.FileItem dstFile)
bool | wantToHandle (self, KIO.RenameDialog_Mode mode, KIO.RenameDialogPlugin.FileItem srcFile, KIO.RenameDialogPlugin.FileItem dstFile)

## Method Documentation

__init__ | ( | self, |
|  | QDialog | dialog
| ) |  |  |

The Rename Dialog will be embedded into a QDialog.

handle | ( | self, |
|  | KIO.RenameDialog_Mode | mode,
|  | KIO.RenameDialogPlugin.FileItem | srcFile,
|  | KIO.RenameDialogPlugin.FileItem | dstFile
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Present the data of

Parameters:

  | srcFile | and
  | dstFile | the way you want to. You will be embedded into the parentWidget().
  | mode | The actual mode of the Rename Dialog
  | srcFile | The FileItem of the source
  | dstFile | The FileItem of the destination

bool wantToHandle | ( | self, |
|  | KIO.RenameDialog_Mode | mode,
|  | KIO.RenameDialogPlugin.FileItem | srcFile,
|  | KIO.RenameDialogPlugin.FileItem | dstFile
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

This function will be invoked by the KIO.RenameDialog to check if you to handle the src and destination file.

Parameters:

  | mode | The actual mode of the Rename Dialog
  | srcFile | The FileItem representation of the source file
  | dstFile | The FileItem representation of the destination file

Returns:
  Return TRUE if you want to handle/display a resolution

See also:
  handle